---
title: List On-Call notification rules for a user
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > On-Call
---

{% callout %}
# Important note for users on the following Datadog sites: app.ddog-gov.com, us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# List On-Call notification rules for a user{% #list-on-call-notification-rules-for-a-user %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/on-call/users/{user_id}/notification-rules      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/on-call/users/{user_id}/notification-rules      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/on-call/users/{user_id}/notification-rules  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/on-call/users/{user_id}/notification-rules |

### Overview

List the notification rules for a user. The authenticated user must be the target user or have the `on_call_admin` permission This endpoint requires the `on_call_read` permission.

### Arguments

#### Path Parameters

| Name                      | Type   | Description |
| ------------------------- | ------ | ----------- |
| user_id [*required*] | string | The user ID |

#### Query Strings

| Name    | Type   | Description                                                                               |
| ------- | ------ | ----------------------------------------------------------------------------------------- |
| include | string | Comma-separated list of included relationships to be returned. Allowed values: `channel`. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response type for listing notification rules for a user

| Parent field     | Field                              | Type            | Description                                                                                                   |
| ---------------- | ---------------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------- |
|                  | data                               | [object]        | Array of notification rule data objects.                                                                      |
| data             | attributes                         | object          | Attributes for an on-call notification rule.                                                                  |
| attributes       | category                           | enum            | Specifies the category a notification rule will apply to Allowed enum values: `high_urgency,low_urgency`      |
| attributes       | channel_settings                   |  <oneOf>   | Configuration for the associated channel, if necessary                                                        |
| channel_settings | Option 1                           | object          | Configuration for using a phone notification channel in a notification rule                                   |
| Option 1         | method [*required*]           | enum            | Specifies the method in which a phone is used in a notification rule Allowed enum values: `sms,voice`         |
| Option 1         | type [*required*]             | enum            | Indicates that the notification channel is a phone Allowed enum values: `phone`                               |
| attributes       | delay_minutes                      | int64           | The number of minutes that will elapse before this rule is evaluated. 0 indicates immediate evaluation        |
| data             | id                                 | string          | Unique identifier for the rule                                                                                |
| data             | relationships                      | object          | Relationship object for creating a notification rule                                                          |
| relationships    | channel                            | object          | Relationship object for creating a notification rule                                                          |
| channel          | data [*required*]             | object          | Channel relationship data for creating a notification rule                                                    |
| data             | id                                 | string          | ID of the notification channel                                                                                |
| data             | type                               | enum            | Indicates that the resource is of type 'notification_channels'. Allowed enum values: `notification_channels`  |
| data             | type [*required*]             | enum            | Indicates that the resource is of type 'notification_rules'. Allowed enum values: `notification_rules`        |
|                  | included                           | [ <oneOf>] |
| included         | Option 1                           | object          | Data for an on-call notification channel                                                                      |
| Option 1         | attributes                         | object          | Attributes for an on-call notification channel.                                                               |
| attributes       | active                             | boolean         | Whether the notification channel is currently active.                                                         |
| attributes       | config                             |  <oneOf>   | Notification channel configuration                                                                            |
| config           | Option 1                           | object          | Phone notification channel configuration                                                                      |
| Option 1         | formatted_number [*required*] | string          | The formatted international version of Number (e.g. +33 7 1 23 45 67).                                        |
| Option 1         | number [*required*]           | string          | The E-164 formatted phone number (e.g. +3371234567)                                                           |
| Option 1         | region [*required*]           | string          | The ISO 3166-1 alpha-2 two-letter country code.                                                               |
| Option 1         | sms_subscribed_at                  | date-time       | If present, the date the user subscribed this number to SMS messages                                          |
| Option 1         | type [*required*]             | enum            | Indicates that the notification channel is a phone Allowed enum values: `phone`                               |
| Option 1         | verified [*required*]         | boolean         | Indicates whether this phone has been verified by the user in Datadog On-Call                                 |
| config           | Option 2                           | object          | Email notification channel configuration                                                                      |
| Option 2         | address [*required*]          | string          | The e-mail address to be notified                                                                             |
| Option 2         | formats [*required*]          | [string]        | Preferred content formats for notifications.                                                                  |
| Option 2         | type [*required*]             | enum            | Indicates that the notification channel is an e-mail address Allowed enum values: `email`                     |
| config           | Option 3                           | object          | Push notification channel configuration                                                                       |
| Option 3         | application_name [*required*] | string          | The name of the application used to receive push notifications                                                |
| Option 3         | device_name [*required*]      | string          | The name of the mobile device being used                                                                      |
| Option 3         | type [*required*]             | enum            | Indicates that the notification channel is a mobile device for push notifications Allowed enum values: `push` |
| Option 1         | id                                 | string          | Unique identifier for the channel                                                                             |
| Option 1         | type [*required*]             | enum            | Indicates that the resource is of type 'notification_channels'. Allowed enum values: `notification_channels`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "category": "string",
        "channel_settings": {
          "method": "sms",
          "type": "phone"
        },
        "delay_minutes": "integer"
      },
      "id": "string",
      "relationships": {
        "channel": {
          "data": {
            "id": "string",
            "type": "notification_channels"
          }
        }
      },
      "type": "notification_rules"
    }
  ],
  "included": [
    {
      "attributes": {
        "active": false,
        "config": {
          "formatted_number": "",
          "number": "",
          "region": "",
          "sms_subscribed_at": "2019-09-19T10:00:00.000Z",
          "type": "phone",
          "verified": false
        }
      },
      "id": "string",
      "type": "notification_channels"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export user_id="00000000-0000-0000-0000-000000000000" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/on-call/users/${user_id}/notification-rules" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List On-Call notification rules for a user returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.on_call_api import OnCallApi

# there is a valid "user" in the system
USER_DATA_ID = environ["USER_DATA_ID"]

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OnCallApi(api_client)
    response = api_instance.list_user_notification_rules(
        include="channel",
        user_id=USER_DATA_ID,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List On-Call notification rules for a user returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OnCallAPI.new

# there is a valid "user" in the system
USER_DATA_ID = ENV["USER_DATA_ID"]
opts = {
  include: "channel",
}
p api_instance.list_user_notification_rules(USER_DATA_ID, opts)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List On-Call notification rules for a user returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "user" in the system
	UserDataID := os.Getenv("USER_DATA_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOnCallApi(apiClient)
	resp, r, err := api.ListUserNotificationRules(ctx, UserDataID, *datadogV2.NewListUserNotificationRulesOptionalParameters().WithInclude("channel"))

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OnCallApi.ListUserNotificationRules`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OnCallApi.ListUserNotificationRules`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List On-Call notification rules for a user returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OnCallApi;
import com.datadog.api.client.v2.api.OnCallApi.ListUserNotificationRulesOptionalParameters;
import com.datadog.api.client.v2.model.ListOnCallNotificationRulesResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OnCallApi apiInstance = new OnCallApi(defaultClient);

    // there is a valid "user" in the system
    String USER_DATA_ID = System.getenv("USER_DATA_ID");

    try {
      ListOnCallNotificationRulesResponse result =
          apiInstance.listUserNotificationRules(
              USER_DATA_ID, new ListUserNotificationRulesOptionalParameters().include("channel"));
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OnCallApi#listUserNotificationRules");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List On-Call notification rules for a user returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_on_call::ListUserNotificationRulesOptionalParams;
use datadog_api_client::datadogV2::api_on_call::OnCallAPI;

#[tokio::main]
async fn main() {
    // there is a valid "user" in the system
    let user_data_id = std::env::var("USER_DATA_ID").unwrap();
    let configuration = datadog::Configuration::new();
    let api = OnCallAPI::with_config(configuration);
    let resp = api
        .list_user_notification_rules(
            user_data_id.clone(),
            ListUserNotificationRulesOptionalParams::default().include("channel".to_string()),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List On-Call notification rules for a user returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OnCallApi(configuration);

// there is a valid "user" in the system
const USER_DATA_ID = process.env.USER_DATA_ID as string;

const params: v2.OnCallApiListUserNotificationRulesRequest = {
  include: "channel",
  userId: USER_DATA_ID,
};

apiInstance
  .listUserNotificationRules(params)
  .then((data: v2.ListOnCallNotificationRulesResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
